Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.mrpe
Class MRpRes

    java.lang.Object
      org.lsmp.djep.mrpe.MRpRes

    public abstract class MRpRes

extends java.lang.Object

The base type for values returned by evaluate.

Author:
  Rich Morris Created on 04-May-2004

Constructor Summary
`MRpRes()`

Method Summary
`abstract void` | `copyToVecMat(MatrixValueI res)` Copy the value into res.
`abstract Dimensions` | `getDims()` The Dimension of the object
`abstract java.lang.Object` | `toArray()` Returns an array of doubles with the values filled in.
`MatrixValueI` | `toVecMat()` Converts to a MatrixValueI object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRpRes

    public MRpRes()

Method Detail

### getDims

    public abstract Dimensions getDims()

  The Dimension of the object

### copyToVecMat

    public abstract void copyToVecMat(MatrixValueI res)
                               throws ParseException

  Copy the value into res.

  Parameters:
    `res` - The object values will be copied into, must be of corect type.
  Throws:
    `ParseException` - if the res is not of the same type.

### toVecMat

    public final MatrixValueI toVecMat()
                                throws ParseException

  Converts to a MatrixValueI object.

  Returns:
    a new MatrixValueI with values filled in.
  Throws:
    `ParseException` - should not happen!

### toArray

    public abstract java.lang.Object toArray()

  Returns an array of doubles with the values filled in.

  Returns:
    the array either double[] or double[][]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems